﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$folder   = "$toolsDir/download"

# download and extract zip setup file
$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    url            = 'https://the-sz.com/common/get.php?product=seaside'
    unzipLocation  = $folder
    checksum       = '43f82de323db57583c13738782b8a63c58321cfd0fb600d1b3ab89a6ceeb58c1'
    checksumType   = 'sha256'
}
Install-ChocolateyZipPackage @packageArgs

# install setup
$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    fileType       = 'exe'
    silentArgs     = '/SILENT'
    file           = "$folder/SeasideSetup.exe"
    validExitCodes = @(0)
}
Install-ChocolateyInstallPackage @packageArgs

# delete downloaded files
Remove-Item "$folder/*.*"
Remove-Item "$folder"
